package de.intevation.flys.artifacts.model.minfo;

import java.util.LinkedList;
import java.util.List;

import org.apache.log4j.Logger;

public class QualityMeasurements {
    private static Logger logger = Logger.getLogger(QualityMeasurements.class);
    private List<QualityMeasurement> measurements;

    public QualityMeasurements() {
    }

    public QualityMeasurements(List<QualityMeasurement> list) {
        measurements = list;
    }

    public List<QualityMeasurement> getMeasurements() {
        return measurements;
    }

    public List<QualityMeasurement> getMeasurements(double km) {
        List<QualityMeasurement> res = new LinkedList<QualityMeasurement>();
        for (QualityMeasurement qm: measurements) {
            if (qm.getKm() == km) {
                res.add(qm);
            }
        }
        return res;
    }

    public List<Double> getKms() {
        List<Double> result = new LinkedList<Double>();
        for (QualityMeasurement qm : measurements) {
            if (result.indexOf(qm.getKm()) < 0) {
                result.add(qm.getKm());
            }
        }
        return result;
    }

    public void setMeasurements(List<QualityMeasurement> list) {
        this.measurements = list;
    }

    public void addMeasurement(QualityMeasurement qm) {
        this.measurements.add(qm);
    }
}
